Bug 1007742 (CVE-2016-9116)

Summary: VUL-0: CVE-2016-9116: openjpeg2: NULL Pointer Access in function imagetopnm of convert.c:2226(jp2)
Product: [Novell Products] SUSE Security Incidents Reporter: Alexander Bergmann <abergmann>
Component: IncidentsAssignee: Security Team bot <security-team>
Status: RESOLVED FIXED QA Contact: Security Team bot <security-team>
Severity: Normal    
Priority: P3 - Medium CC: abergmann, jsegitz, smash_bz
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/174276/
Whiteboard: CVSSv2:NVD:CVE-2016-9116:4.3:(AV:N/AC:M/Au:N/C:N/I:N/A:P) CVSSv2:SUSE:CVE-2016-9116:4.3:(AV:N/AC:M/Au:N/C:N/I:N/A:P)
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---
Bug Depends on:    
Bug Blocks: 1015662    
Attachments: openjpeg2-CVE-2016-9116.patch

Description Alexander Bergmann 2016-10-31 10:52:28 UTC
CVE-2016-9116

NULL Pointer Access in function imagetopnm of convert.c:2226(jp2) in OpenJPEG
2.1.2. Impact is Denial of Service. Someone must open a crafted j2k file.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2016-9116
http://www.cvedetails.com/cve/CVE-2016-9116/
https://github.com/uclouvain/openjpeg/issues/859
Comment 1 Swamp Workflow Management 2016-10-31 23:01:11 UTC
bugbot adjusting priority
Comment 4 Hans Petter Jansson 2016-12-21 05:06:10 UTC
Created attachment 707356 [details]
openjpeg2-CVE-2016-9116.patch
Comment 6 Swamp Workflow Management 2016-12-27 14:07:59 UTC
SUSE-SU-2016:3270-1: An update that fixes 13 vulnerabilities is now available.

Category: security (important)
Bug References: 1002414,1007739,1007740,1007741,1007742,1007743,1007744,1007747,1014543,1014975,999817
CVE References: CVE-2016-7445,CVE-2016-8332,CVE-2016-9112,CVE-2016-9113,CVE-2016-9114,CVE-2016-9115,CVE-2016-9116,CVE-2016-9117,CVE-2016-9118,CVE-2016-9572,CVE-2016-9573,CVE-2016-9580,CVE-2016-9581
Sources used:
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    openjpeg2-2.1.0-3.1
SUSE Linux Enterprise Server 12-SP2 (src):    openjpeg2-2.1.0-3.1
SUSE Linux Enterprise Desktop 12-SP2 (src):    openjpeg2-2.1.0-3.1
Comment 8 Bernhard Wiedemann 2017-01-11 19:00:46 UTC
This is an autogenerated message for OBS integration:
This bug (1007742) was mentioned in
https://build.opensuse.org/request/show/449727 13.2 / openjpeg2
https://build.opensuse.org/request/show/449730 42.1 / openjpeg2
Comment 9 Swamp Workflow Management 2017-01-16 18:21:48 UTC
openSUSE-SU-2017:0155-1: An update that fixes 13 vulnerabilities is now available.

Category: security (important)
Bug References: 1002414,1007739,1007740,1007741,1007742,1007743,1007744,1007747,1014543,1014975,999817
CVE References: CVE-2016-7445,CVE-2016-8332,CVE-2016-9112,CVE-2016-9113,CVE-2016-9114,CVE-2016-9115,CVE-2016-9116,CVE-2016-9117,CVE-2016-9118,CVE-2016-9572,CVE-2016-9573,CVE-2016-9580,CVE-2016-9581
Sources used:
openSUSE Leap 42.2 (src):    openjpeg2-2.1.0-11.1
Comment 10 Swamp Workflow Management 2017-01-17 18:48:31 UTC
openSUSE-SU-2017:0185-1: An update that fixes 13 vulnerabilities is now available.

Category: security (important)
Bug References: 1002414,1007739,1007740,1007741,1007742,1007743,1007744,1007747,1014543,1014975,999817
CVE References: CVE-2016-7445,CVE-2016-8332,CVE-2016-9112,CVE-2016-9113,CVE-2016-9114,CVE-2016-9115,CVE-2016-9116,CVE-2016-9117,CVE-2016-9118,CVE-2016-9572,CVE-2016-9573,CVE-2016-9580,CVE-2016-9581
Sources used:
openSUSE 13.2 (src):    openjpeg2-2.1.0-2.3.1
Comment 11 Swamp Workflow Management 2017-01-19 14:09:54 UTC
openSUSE-SU-2017:0207-1: An update that fixes 13 vulnerabilities is now available.

Category: security (important)
Bug References: 1002414,1007739,1007740,1007741,1007742,1007743,1007744,1007747,1014543,1014975,999817
CVE References: CVE-2016-7445,CVE-2016-8332,CVE-2016-9112,CVE-2016-9113,CVE-2016-9114,CVE-2016-9115,CVE-2016-9116,CVE-2016-9117,CVE-2016-9118,CVE-2016-9572,CVE-2016-9573,CVE-2016-9580,CVE-2016-9581
Sources used:
openSUSE Leap 42.1 (src):    openjpeg2-2.1.0-9.1
Comment 12 Swamp Workflow Management 2017-09-26 01:09:38 UTC
openSUSE-SU-2017:2567-1: An update that fixes 15 vulnerabilities is now available.

Category: security (important)
Bug References: 1002414,1007739,1007740,1007741,1007742,1007743,1007744,1007747,1014543,1014975,979907,997857,999817
CVE References: CVE-2015-8871,CVE-2016-7163,CVE-2016-7445,CVE-2016-8332,CVE-2016-9112,CVE-2016-9113,CVE-2016-9114,CVE-2016-9115,CVE-2016-9116,CVE-2016-9117,CVE-2016-9118,CVE-2016-9572,CVE-2016-9573,CVE-2016-9580,CVE-2016-9581
Sources used:
SUSE Package Hub for SUSE Linux Enterprise 12 (src):    openjpeg2-2.1.0-5.1, openjpeg2-2.1.0-6.1
Comment 13 Marcus Meissner 2017-10-26 08:29:42 UTC
released